raster layer causing hangups for long periods with opacity slider widget

2018-08-27 05:33 PM - Tony Walters

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:3.2.2 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 27539

Description

Often, but not always the system hangs locking the GUI. This can last a minute or more. It may happen in other situations, but I can verify

that a raster file I created from IDM interpolation will cause this condition. The file size of the raster is about 750k. The system is more

stable when opacity slider is removed.

Whether the opacity slider is on or off, I notice that my I7 two physical core/4 logical core PC shows all 4 cores heavy processing during

this period of unresponsiveness no matter whether I set rendering to 4 cores, or many cores, or turn off multi-core rendering altogether.

This symptom also exhibits itself in 3.0 installation, but seems worse in 3.2.2

History

#1 - 2018-08-28 01:45 AM - Nyall Dawson

- Status changed from Open to Feedback

Can't confirm -- works fine here on both Windows and Linux.

Try with a clean profile and no plugins installed.

#2 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
